function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import getTablePostData from "../../../../utils/getTablePostData";
export default (function (intlPrefix, formatMessage, projectId, id, organizationId) {
  return {
    autoQuery: false,
    selection: false,
    pageSize: 10,
    transport: {
      read: function read(_ref) {
        var data = _ref.data;
        var postData = getTablePostData(data);

        if (id) {
          return {
            url: "/devops/v1/projects/".concat(projectId, "/app_service_share/page_by_options?app_service_id=").concat(id),
            method: 'post',
            data: postData
          };
        }

        return undefined;
      },
      destroy: function destroy(_ref2) {
        var _ref2$data = _slicedToArray(_ref2.data, 1),
            data = _ref2$data[0];

        return {
          url: "/devops/v1/projects/".concat(projectId, "/app_service_share/").concat(data.id),
          method: 'delete'
        };
      }
    },
    fields: [{
      name: 'versionType',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".version.type")
      })
    }, {
      name: 'version',
      type: 'string',
      textField: 'version',
      valueField: 'version',
      label: formatMessage({
        id: "".concat(intlPrefix, ".version.specific")
      })
    }, {
      name: 'id',
      type: 'string',
      label: formatMessage({
        id: 'number'
      })
    }, {
      name: 'viewId',
      type: 'string',
      label: formatMessage({
        id: 'number'
      })
    }, {
      name: 'projectId',
      type: 'number'
    }, {
      name: 'projectName',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".share.range")
      })
    }],
    queryFields: [// { name: 'id', type: 'string', label: formatMessage({ id: 'number' }) },
    {
      name: 'version',
      type: 'string',
      textField: 'version',
      valueField: 'version',
      label: formatMessage({
        id: "".concat(intlPrefix, ".version.specific")
      })
    }]
  };
});